get
https://api.repsly.com/v3/export/schedules//
Endpoint is used to export your visit schedules from Repsly.
Define start and end date to receive response with visit schedules planned in wanted period.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Response definition
| Name | Type | Description |
|---|---|---|
| MetaCollectionResult\TotalCount | Integer | Total count of visit schedules |
| ScheduleCode | String (50) | Unique schedule identifier |
| ScheduledDate | String (10) | Date of visit (date format "2024-11-25") |
| ScheduledTime | String (5) | Time of visit (time format "15:00"), empty for any time visit |
| UserID | String (20) | Representative code (visitor in this visit) |
| RepresentativeName | String (80) | Representative name (visitor in this visit) |
| ClientCode | String (50) | Unique client code |
| ClientName | String (255) | Client name |
| StreetAddress | String (255) | Client street address |
| ZIP | String (20) | Client ZIP code |
| ZIPExt | String (20) | Client ZIP extension |
| City | String (255) | Client city |
| State | String (255) | Client state |
| Country | String (255) | Client country |
| DueDate | Boolean | Indicates if visit has due date or not |
| VisitNote | Text | Note on the visit |
| ProjectName | String (255) | Name of the project |
| ScheduledDuration | Integer | Duration of the visit in minutes. |
| RepeatEveryWeeks | Integer | Indicates scheduled visit frequency, in weeks, for recurring schedules. |
| RepeatDays | String (60) | Days on which recurring scheduled visits occur (format "Sunday|Monday|Friday") |
| RepeatEndDate | String (10) | End date for repeating recurring schedules (date format "2024-11-25") |
| AlertUsersIfMissed | String | List of admin emails that will be notified if scheduled visit was missed (format "admin_email_1|admin_email_2") |
| AlertUsersIfLate | String | List of admin emails that will be notified if visitor was late (format "admin_email_1|admin_email_2") |
| AlertUsersIfDone | String | List of admin emails that will be notified if scheduled visit was completed (format "admin_email_1|admin_email_2") |
| ExternalID | String | Optional external identifier |
| Tasks | Array(Task) | List of tasks that need to be completed during scheduled visit, definition is below |
Task
| Name | Type | Description |
|---|---|---|
| TaskType | String (20) | Task type identifier, possible values are "Note", "Photo", "Form", "Audit" or "Sales document" |
| TaskDescription | Text | Represents custom description for "Photo" and "Note", but for "Form", "Audit" and "Sales document" it represents their exact title. |